module("luci.controller.strongswan", package.seeall)

function index()
	entry( {"admin", "services", "vpn"},  cbi("strongswan_add"), _("IPsec"), 2)
	entry( {"admin", "services", "vpn", "ipsec"},  arcombine(cbi("strongswan_add"),
		cbi("strongswan_edit")), _("IPsec"), 2).leaf=true
	entry({"admin", "status", "vpn", "ipsec_status"},
			call("ipsec_status"))
	entry({"admin", "status", "vpn", "ipsec_statusall"},
			call("ipsec_statusall"))
end

function ipsec_status()

	local conninfo = luci.util.ubus("ipsec-status", "status", {})
	status = conninfo.message
	luci.http.prepare_content("application/json")
	if status ~= nil then
		luci.http.write_json(status)
	else
		luci.http.write_json({})
	end
end


function ipsec_statusall()

	local conninfo = luci.util.ubus("ipsec-status", "statusall", {})
	status = conninfo.message
	luci.http.prepare_content("application/json")
	if status ~= nil then
		luci.http.write_json(status)
	else
		luci.http.write_json({})
	end
end
